NextSign API
Cases

Case Delete

Delete a case using GET /api/v2/{company}/case/{case_id}/delete.

Case Delete

Use this endpoint to delete a case by its unique identifier.

Authorization

All requests to this endpoint require authentication using a Bearer Token.

Use your NextSign API key as the bearer token for this endpoint.


Endpoint

GET https://www.nextsign.dk/api/v2/{company}/case/{case_id}/delete

Path Parameters

ParameterTypeDescription
companystringYour company identifier
case_idstringUnique identifier of the case to delete

Example Request

cURL
curl --location 'https://www.nextsign.dk/api/v2/{company}/case/{case_id}/delete' \
  -H 'Authorization: Bearer YOUR_API_KEY'

Example Response

200 OK
{
  "status": "removed",
  "return": {
    "acknowledged": true,
    "deletedCount": 1
  }
}

Response Fields

FieldTypeDescription
statusstringStatus of the deletion operation
returnobjectDeletion result from the database
return.acknowledgedbooleanWhether the delete operation was acknowledged
return.deletedCountnumberNumber of deleted cases

Common Error Responses

Missing case id:

{
  "errors": [
    {
      "code": 400,
      "message": "Bad Request",
      "description": "Missing case id"
    }
  ]
}

Case not found:

{
  "message": "Case not found"
}